,-----------------------------.
| Text resources for p_config |
`-----------------------------'

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                            %
%   This file allows you to change ALL the messages and strings which the    %
%   program p_config uses (e.g. translate them into French) and/or to        %
%   change the names of most of variables, commands and so on.               %
%                                                                            %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Written by Georgy Pruss
% 11,12,14 Oct 1993
% Changed by Helmut Blanke-Bohne
% 7. Jul 1994

* SCCS id: @(#)p_config.rsc	1.15	95/04/23

###############################################################################
##									     ##
##  Each line has format:						     ##
##  <3-decimal-digits> <space> <blah-blah-blah> <end-of-line>		     ##
##  Currently resource number <3-decimal-digits> must be 1..199		     ##
##  In resource text <blah-blah-blah> only characters from ' ' to '~'	     ##
##  (ascii 32..126) are (well-)allowed (OK, all 0..255 also, but you risk!), ##
##  and the following \-sequances are recognized (as usual :-)		     ##
##  \n -- LF/10  \t -- HT/9  \v -- VT/11  \e -- ESC/27  \a -- BEL/7	     ##
##  \r -- CR/13  \b -- BS/8  \f -- FF/12  \? -- DEL/127			     ##
##  \any-rest-char -- any-rest-char (eg \\ -- \ etc.)			     ##
##									     ##
##  Notice that you DON'T HAVE to 'escape' the quote & apostrophe chars.     ##
##									     ##
##  To make it clear where the end of a string ending with blanks (or any    ##
##  other string, if you like) is, you may (not must) place a bar (|) at     ##
##  the very end of that string -- this bar is ignored. So, when you want    ##
##  to finish a string with a bar, please double that bar: || (sorry :-).    ##
##                                                                           ##
##  NB. Don't use the tab (HT/9) character in this file (as well as in all   ##
##      the other text files). Its profit is doubtful (there are lots of     ##
##      other ways to save space) BUT usually you and others who deal with   ##
##      such files have lots of problems while editing/printing/etc those    ##
##      "TAB-spoiled" files. Make life easier! Space is space!               ##
##									     ##
##  All the resource strings can be in any order, the main thing is they     ##
##  have their numbers with them.					     ##
##									     ##
##  All bad lines are ignored w/o any warning. Thus a comment line is any    ##
##  line whose first 3 characters are not recognezed as a number, or more    ##
##  precisely, valid s line is (strlen(s)>=4 && atoi(s)!=0).		     ##
##									     ##
###############################################################################


*** Letters for Yes/No/Quit answer (case is ignored in the program)
001 ynq

*** Prompt (not used)
002 Please choose only '%c' or '%c' or '%c' : |

*** links program
003 links
004 /usr/bin/links

*** Arguments for the program (more at 240)
005 install
006
007 
008 **  
009   **

*** Common separators
010 **************************************************************************
020 **                                                                      **

*** install header

011 **    P a r s y t e c    S t a n d a r d    I n s t a l l a t i o n     **
012 During the installation two types of questions are asked: The 
013 first type can be answered by 'y' (yes) or 'n' (no), default is 
014 'y'. The second type requires text input. The default settings 
015 shown in brackets can be chosen by hitting <ret>. To stop the 
016 installation process any question may be answered by 'q' (quit).

017 Available software components for installation :
018 INSTALLATION : enter product numbers separated by ','

019 **                  (written by Helmut Blanke-Bohne)                    **

021 Do you want to install the following products: 
022 No product will be installed, ok ?
023 No software components available for installation.
024 state: '*'= new installation, '+'= additional installation possible.

025 no information available.
026 Type RET to go on !
027 DESCRIPTION :
028 REQUIREMENTS :
029 PRODUCT INFO : enter '? product number'

*** Getowner/getgroup
030 Enter the owner for
031 Sorry, no entry for user
032 Enter the group name for
033 Sorry, no entry for group

*** Common prompts
034 Please answer 'y' or 'n' !
035 (y/n)

+++ Clear screen (m.b. \n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n)
036 \e[H\e[J
<<< The command to check access rights (see also 132)
037 touch ./ 2>/dev/null /dev/null
038
039

040 Warning: For installation you should be Superuser !
041          You may fail on insufficient permissions for writing or changing
042          owner/group !
043 Do you want to  CHANGE  YOUR  INPUT  for
044 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 
045 
046 COMMANDS required in your path during installation:
047 standard installation :
048 product specific inst.:
049

050
051 
052

??? Common query format: error msg \n query msg (y-or-n) :
053 %s\n%s %s : |

/** BTSS configuration file ***********************/
054 /trans_conf
/** obj. files to link with the dserver ***********/
055
056
057 
058 
059

060
061

*** Board types (S-Bus or VME-Bus)
|||
062 BBKS4
063 S-Bus
|||
064 MTM-SUN
065 7 -- the length of MTM-SUN to test with strncmp
066 VMTM
067 vmtm
068 bbkv
069 4 -- the length of bbkv to test with strncmp
070 VME-Bus
:::
071 Do you have an S-Bus or a VME-Bus link interface ?

072
073
074
075 Give access rights to others for %s ?
076 
077 
078 
079
 
080 
081 
082
083
084
085
086
087

088
089

090 You have insufficient permissions to install the target
091       *** Stopping installation of
092 Checking permissions for target
093
094 You have insufficient permissions to install product

095       *** Insufficient privileges to open '
096 ' to write
097 No permission to change
098 owner to
099 group to
100 Would you like to do the above parts of the installation ?

*** Errors & messages & prompts & so on
101       *** You don't have write permission for the file 
102       *** You don't have write permission for this directory !
103       *** Maybe you are on another host !
104 Where is the 'links' command of the BTSS installed ?
105 (You can find it calling 'which links' or 'find / -name links -print')
106 Please enter the full name
107 Please enter the full name of the command 'links' !
108 
109 Can't find
110 Wrong name
114 Error: Can't execute

*** links output (to recognize the links program & version). Don't touch !
111  2>/dev/null | grep "|
112  Id   Status       Link-Name         Bus-Address  SBus-slot|
113 " >/dev/null 2>/dev/null

### Which machine & OS
115 SunOS
116 SPARC/OS
117       *** Your operating system is %s, not %s nor %s.\n
118       *** For SunOS the release number (%s) must be 4.1.1 or higher.\n
119       *** For SPARC/OS the release number (%s) must be 1.1.1 or higher.\n
120 sun4
121       *** The machine is %s, not 'sun4'.\n
122 sparc
123       *** The processor is not SPARC compatible.\n

/// Some warnings/prompts
124         !!! Products may or may not work !!!
125 Would you like to continue the installation procedure ?
126 Would you like to correct something from the above ?

127 Enter the (full) path name for
128 Where do you want to install it ?
129 No such directory:
130 The full path must begin with a slash (or a tilde): /here/is/your/path

131 Can't create
132 Create it ?

<<< The command to check access rights
133 \n\n*** You don't have write permission for this directory !\n    (%s)\n
134 Unknown user after ~

((( Config stuff )))
141 Makefile for Parsytec installation procedure
142               (C) Parsytec GmbH 1994
143 SCCSid:.   |

144
145
146 command not available in your path.
147 Please insert the above commands into your path !
148 Stop installation ?
149 Warning: Commands are missing in your path.
 
150          The installation may crash !!
151 Really go on ?
152 Omit installation of
153 Really install
154 Checking commands needed for installation ...
155
156
157 
158 
159

160
161
162
163
164
165
166
167
168
169

170
171
172
173
174
175
176
177
178
179

180
181
182
183
184
185 
186 
187 
188

189
190
191
192
193
194
195
196
197
198 
199 

=== Keywords which may occur in .descr files
200 DESCR_FILE_VERSION
201 NAME
202 FULL_NAME
203 PROD_VERSION
204 PATCH
205 CATEGORY
206 TYPE
207 ABSTRACT
208 HARDWARE
209 TARGET
210 REQ_CATEGORY
211 REQ_NAME
212 REQ_TYPE
213 REQ_VERSION
214 REQ_PATCH
215 REQ_FILES
216 NEEDED_PATCHES
217 DEF_PATH
218 PATH_ENV_VAR
219 DEF_OWNER
220 DEF_GROUP
221 FIX_OWNER
222 FIX_GROUP
223 ASK_TARGET
224 REQ_STD_PATH
225 REASK_TARGET
226 REQ_OWNER
227 REQ_GROUP
228 NEED_NO_INSTALL
229 PATH_INFO
230 OWNER_INFO
231 GROUP_INFO
232 OTHER_ACCESS_INFO
233 NEEDED_TOOLS

=== some defined categories
240 link-adapter
241 compiler
242 operating-system
243 administration
244 control
245 sunos4_mpc_compiler

=== some defined types
250 S-Bus
251 VME-Bus
252 parix-ppc
253 PowerPC
254 general
255 VME-Bus-24-bit
256 unknown
257 uninstalled


260 The installation of
261 target
262 requires
263 the following
264 software
265 You have chosen this software to be (re)installed now !
266 Please choose the type of
267 needed for
268 may use the following
269 requires the installation of


270 Enter the full path name where the
271 software is installed
272 Warning: the installed 
273 directory
274 does not fulfill
276 Use it anyway ?
277 Use it ?
278 the version requirements : needed version is
279 the file requirements, following files/directories are missing :
280 (to be asked later)
281 You may use the following software
285
286
287 But it will not be installed during this installation and it is not installed under the path
288
289 Install it anyway (Type 'q' to stop installation) ?
290 Missing product(s) required for patch installation :
*******************************************************************************

*** Last message
299 \nThank you.\n\n

# end-of-file #
